Unfriend Checker

If you own an iPhone or an iPad, you might want to update it ASAP. This is because Apple has released an emergency patch for their devices that essentially bumps them up to iOS 14.8 and iPadOS 14.8 respectively, and this patch will also close an exploit used by the Pegasus spyware tool.

For those unfamiliar, the Pegasus tool is said to have been developed by a company called the NSO Group. While spyware isn’t new, what makes the Pegasus tool so dangerous is that it can hack devices with a single text message, and is also reportedly used by some governments to spy on people like journalists, lawyers, and activists.

Devices that are infected with the spyware give almost complete control to the attacker, allowing them to pretty much do whatever they want on the phone that you, as the owner, can do as well. This means accessing sensitive content, private information, and more.

The vulnerability in Apple’s iPhone and iPads were discovered by Citizen Lab who have since been credited by Apple for pointing it out to them. The latest iOS and iPadOS patch should address it, so even though you might not necessarily be the target of a government spy operation, it’s still a good idea to keep your devices as secure and private as possible.

Filed in Apple >Cellphones >Tablets. Read more about , , , and . Source: theverge